
From: Stephen Smalley <sds@epoch.ncsc.mil>, James Morris <jmorris@redhat.com>

This patch adds the appropriate #if around the F_*64 commands in the
selinux_file_fcntl hook function.



 25-akpm/security/selinux/hooks.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN security/selinux/hooks.c~selinux-file-fcntl-fix security/selinux/hooks.c
--- 25/security/selinux/hooks.c~selinux-file-fcntl-fix	Tue Aug 26 12:28:10 2003
+++ 25-akpm/security/selinux/hooks.c	Tue Aug 26 12:28:10 2003
@@ -2057,9 +2057,11 @@ static int selinux_file_fcntl(struct fil
 		case F_GETLK:
 		case F_SETLK:
 	        case F_SETLKW:
+#if BITS_PER_LONG == 32
 	        case F_GETLK64:
 		case F_SETLK64:
 	        case F_SETLKW64:
+#endif
 			if (!file->f_dentry || !file->f_dentry->d_inode) {
 				err = -EINVAL;
 				break;

_
